<?php
require_once(BASEPATH . '/vendor/autoload.php');
require_once(BASEPATH . '/App/config.php');

//Twig
function view($name = '', $data = [] ) {
    $loader = new Twig\Loader\FilesystemLoader(BASEPATH . '/App/views/');
    $loader->addPath(BASEPATH . '/vendor/4lt/novaconium/twig', 'novaconium');
    $loader->addPath(BASEPATH . '/App/templates', 'override');
    $twig = new Twig\Environment($loader);
    //check if file exists
    if (file_exists(BASEPATH . '/App/views/' . $name . '.html.twig')) {
        echo $twig->render("$name" . '.html.twig', $data);
        return true;
    } else {
        echo "Error: Twig Template ($name) Not Found.";
        return false;
    }
}

// Load Database Class
require_once(BASEPATH . '/vendor/4lt/novaconium/src/Database.php');
$db = new Database($config['database']);

// Load a controller
require_once(BASEPATH . '/vendor/4lt/novaconium/src/Router.php');
$router = new Router();
//$router->debug();
require_once($router->controllerPath);
